# ConsumablePokemonMoveModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ConsumablePokemonMoveModifier`Abstract`

#### Hierarchy (view full)

- ConsumablePokemonModifier
  - ConsumablePokemonMoveModifier
    - PokemonPpRestoreModifier
    - PokemonPpUpModifier

- Defined in src/modifier/modifier.ts:1170

#####
Index

### Constructors

constructor

### Properties

moveIndex
pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new ConsumablePokemonMoveModifier(type, pokemonId, moveIndex): ConsumablePokemonMoveModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number
  - moveIndex: number

  #### Returns ConsumablePokemonMoveModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:1173

## Properties

### moveIndex

moveIndex: number

- Defined in src/modifier/modifier.ts:1171

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:1105

### type

type: ModifierType

Inherited from ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:234

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:135

### getPokemon

- getPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:1117

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1113